<?php
/**
* Template Name: Homepage
 *
 * This is the template that displays home pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package ZincyLite
 */
 
 get_header();
 
$welcome_post_char = get_theme_mod('character_number' , '650');
$welcome_post_read_more = get_theme_mod('read_more');
$welcome_post_id = get_theme_mod('welcome_post');
$event_category = get_theme_mod('zincylite_event');
$event_number =  (get_theme_mod('show_event_number') != '') ? get_theme_mod('show_event_number') : '3';
$show_event_date = get_theme_mod('show_event_date' , '1');  
$welcome_post_width = get_theme_mod('welcome_post_width' , '0');
$zincylite_layout = get_theme_mod('homepage_layout_choose');

$feature_post_samll_icon = get_theme_mod('feature_post_icon');
$feature_post_big_icon = get_theme_mod('feature_post_icon_big');
$feature_post_one = get_theme_mod('feature_post_one');
$feature_post_two = get_theme_mod('feature_post_two');
$feature_post_three = get_theme_mod('feature_post_three');
$feature_post_four = get_theme_mod('feature_post_four');
$feature_post_readmore = get_theme_mod('feature_read_more');
$feature_bar_option = get_theme_mod('block_above_footer');

$testimonial_category = get_theme_mod('zincylite_testimonials');
$view_all_text = get_theme_mod('view_all_text' , 'View All');

if($welcome_post_width == 1){
 $welcome_class = "full-width";
}else{
 $welcome_class = "";
}
if( $zincylite_layout !== 'layout2') {?>      
<?php if($welcome_post_id != ''){?>
<section id="top-section" class="zl-wrapper">
    <div id="welcome-text" class="clearfix <?php echo esc_attr($welcome_class); ?>">
      <?php
       if($welcome_post_id != ''){
           $posttype = get_post_type($welcome_post_id);
           $postparam = ($posttype == 'page') ? 'page_id': 'p';
           $args = array(
            'post_type' => $posttype,
            $postparam => $welcome_post_id,
            );
           $query1 = new WP_Query( $args );
           while ($query1->have_posts()) : $query1->the_post(); ?>
           
           <h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
           
           <?php 
           if( has_post_thumbnail() ){
             $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full', false ); 
             ?>
             
             <figure class="welcome-text-image">
              <a href="<?php the_permalink(); ?>">
                  <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>"/>
              </a>
          </figure> 
          <?php } ?>
          
          <div  class="welcome-detail<?php if( !has_post_thumbnail() ){ echo " welcome-detail-full-width"; } ?>">
             
             <?php if(get_theme_mod('full_content') != 1){ ?>
             <div><?php echo zincylite_excerpt( get_the_content() , $welcome_post_char ) ?></div>
             <?php if($welcome_post_read_more != ''){?>
             <a href="<?php the_permalink(); ?>" class="read-more bttn"><?php echo esc_attr($welcome_post_read_more); ?></a>
             <?php } 
         }else{ 
          the_content();
      } ?>
      
  </div>
  
<?php endwhile; 
wp_reset_postdata(); 
}
?>
</div>

<?php if($welcome_post_width != 1): ?>
    <div id="latest-events">
      <?php
      if($event_category != ''){

        $loop = new WP_Query( array(
            'cat' => $event_category,
            'posts_per_page' => $event_number,
            )); ?>

            <h1><a href="<?php echo get_category_link($event_category); ?>"><?php echo get_cat_name($event_category); ?></a></h1>

            <?php while ($loop->have_posts()) : $loop->the_post(); ?>
             <div class="event-list clearfix">
                 <figure class="event-thumbnail">
                    <a href="<?php the_permalink(); ?>">
                        <?php 
                        if( has_post_thumbnail() ){
                            $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'latest-post-thumbnails', false ); 
                            ?>
                            <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>">
                            <?php } ?>
                        </a>
                    </figure> 

                    <div class="event-detail">
                      <h4 class="event-title">
                       <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                   </h4>
                   <?php 
                   if($show_event_date == 1){ ?>
                   
                   <div class="event-date">
                    <span><?php echo get_the_date(); ?></span>
                </div>
                <?php
            }
            ?>
            <div class="event-excerpt">
               <?php echo zincylite_excerpt( get_the_content() , 100 ) ?>
               <a href="<?php the_permalink(); ?>"><span><?php echo __( 'Read More' , 'brovy' );?></span></a>
           </div>
       </div>
   </div>
<?php endwhile; ?>
<?php wp_reset_postdata(); 
} ?>
</div>
<?php endif; ?>
</section>
<?php } ?>

<section id="mid-section" class="zl-wrapper">
    <?php
    if($feature_post_one != '' || $feature_post_two != '' || $feature_post_three != '' || $feature_post_four != ''){
        if(!empty($feature_post_one)) { ?>
        <div id="featured-post-1" class="featured-post<?php if($feature_post_big_icon == 1){ echo ' big-icon'; } ?>">
           
           <?php
           $posttype = get_post_type($feature_post_one);
           $postparam = ($posttype == 'page') ? 'page_id': 'p';
           $args = array(
             'post_type' => $posttype,
             $postparam => $feature_post_one
             );
           $query2 = new WP_Query( $args );
            // the Loop
           while ($query2->have_posts()) : $query2->the_post(); 
           
           if( $feature_post_samll_icon == 0 && $feature_post_big_icon == 0 ){
             ?>
             <figure class="featured-image">
              <a href="<?php the_permalink(); ?>">
                <div class="featured-overlay">
                   <span class="overlay-plus font-icon-read-more"></span>
               </div>
               <?php              
               if( has_post_thumbnail()){
                   $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'featured-thumbnails-home', false ); 
                   ?>
                   <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>"/>
                   <?php }else { ?>
                   <img src="<?php echo get_template_directory_uri(); ?>/images/demo/featured-fallback.jpg" alt="<?php the_title(); ?>">
                   <?php } 
                   ?>
               </a>
           </figure>
           <?php } ?> 
           
           <h2 class="<?php if($feature_post_samll_icon == 1 || $feature_post_big_icon == 1){ echo 'has-icon'; }?>">
             <a href="<?php the_permalink(); ?>">
                 <?php 
                 if($feature_post_samll_icon == 1 || $feature_post_big_icon == 1){ ?>
                 
                 <i class="fa <?php echo esc_attr(get_theme_mod('feature_post_one_icon')) ?>"></i>
                 
                 <?php } ?>
                 <span><?php the_title(); ?></span>
             </a>
         </h2>
         
         <div class="featured-content">
          <p><?php echo zincylite_excerpt( get_the_content() , 65 ) ?></p>
          <?php if(!empty($feature_post_readmore)){?>
          <a href="<?php the_permalink(); ?>" class="read-more bttn"><?php echo esc_attr($feature_post_readmore); ?></a>
          <?php } ?>
      </div>
  <?php endwhile;
  wp_reset_postdata(); ?>
  
</div>
<?php }

if(!empty($feature_post_two)) {?>
<div id="featured-post-2" class="featured-post<?php if($feature_post_big_icon == 1){ echo ' big-icon'; } ?>">
   
   <?php
   $posttype = get_post_type($feature_post_two);
   $postparam = ($posttype == 'page') ? 'page_id': 'p';
   $args = array(
     'post_type' => $posttype,
     $postparam => $feature_post_two,
     );
   $query3 = new WP_Query( $args );
            // the Loop
   while ($query3->have_posts()) : $query3->the_post();
   
   if( $feature_post_samll_icon == 0 && $feature_post_big_icon == 0 ){
     ?>
     <figure class="featured-image">
      <a href="<?php the_permalink(); ?>">
        <div class="featured-overlay">
           <span class="overlay-plus font-icon-read-more"></span>
       </div>
       <?php              
       if( has_post_thumbnail()){
           $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'featured-thumbnails-home', false ); 
           ?>
           <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>"/>
           <?php }else { ?>
           <img src="<?php echo get_template_directory_uri(); ?>/images/demo/featured-fallback.jpg" alt="<?php the_title(); ?>">
           <?php } 
           ?>
       </a>
   </figure>
   <?php } ?> 
   
   <h2 class="<?php if($feature_post_samll_icon == 1 || $feature_post_big_icon == 1){ echo 'has-icon'; }?>">
     <a href="<?php the_permalink(); ?>">
         <?php 
         if($feature_post_samll_icon == 1 || $feature_post_big_icon == 1){ ?>
         
         <i class="fa <?php echo esc_attr(get_theme_mod('feature_post_two_icon')) ?>"></i>
         
         <?php } ?>
         <span><?php the_title(); ?></span>
     </a>
 </h2>

 <div class="featured-content">
  <p><?php echo zincylite_excerpt( get_the_content() , 65 ) ?></p>
  <?php if(!empty($feature_post_readmore)){?>
  <a href="<?php the_permalink(); ?>" class="read-more bttn"><?php echo esc_attr($feature_post_readmore); ?></a>
  <?php } ?>
</div>
<?php endwhile;
wp_reset_postdata(); ?>

</div>
<?php } 

if(!empty($feature_post_three)) { ?>
<div id="featured-post-3" class="featured-post<?php if($feature_post_big_icon == 1){ echo ' big-icon'; } ?>">
   <?php
   $posttype = get_post_type($feature_post_three);
   $postparam = ($posttype == 'page') ? 'page_id': 'p';
   $args = array(
     'post_type' => $posttype,
     $postparam => $feature_post_three,
     );
   $query4 = new WP_Query( $args );
            // the Loop
   while ($query4->have_posts()) : $query4->the_post(); 
   if( $feature_post_samll_icon == 0 && $feature_post_big_icon == 0){
     ?>
     <figure class="featured-image">
      <a href="<?php the_permalink(); ?>">
        <div class="featured-overlay">
           <span class="overlay-plus font-icon-read-more"></span>
       </div>
       <?php              
       if( has_post_thumbnail()){
           $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'featured-thumbnails-home', false ); 
           ?>
           <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>"/>
           <?php }else { ?>
           <img src="<?php echo get_template_directory_uri(); ?>/images/demo/featured-fallback.jpg" alt="<?php the_title(); ?>"/>
           <?php } 
           ?>
       </a>
   </figure>
   <?php } ?> 
   
   <h2 class="<?php if($feature_post_samll_icon == 1 || $feature_post_big_icon == 1){ echo 'has-icon'; }?>">
     <a href="<?php the_permalink(); ?>">
         <?php 
         if($feature_post_samll_icon == 1 || $feature_post_big_icon == 1){ ?>
         
         <i class="fa <?php echo esc_attr(get_theme_mod('feature_post_three_icon')) ?>"></i>
         
         <?php } ?>
         <span><?php the_title(); ?></span>
     </a>
 </h2>

 <div class="featured-content">
  <p><?php echo zincylite_excerpt( get_the_content() , 65 ) ?></p>
  <?php if(!empty($feature_post_readmore)){?>
  <a href="<?php the_permalink(); ?>" class="read-more bttn"><?php echo esc_attr($feature_post_readmore); ?></a>
  <?php } ?>
</div>
<?php endwhile;
wp_reset_postdata(); ?>

</div>
<?php } 

if(!empty($feature_post_four)) { ?>
<div id="featured-post-4" class="featured-post<?php if($feature_post_big_icon == 1){ echo ' big-icon'; } ?>">
   <?php
   $posttype = get_post_type($feature_post_four);
   $postparam = ($posttype == 'page') ? 'page_id': 'p';
   $args = array(
     'post_type' => $posttype,
     $postparam => $feature_post_four,
     );
   $query4 = new WP_Query( $args );
            // the Loop
   while ($query4->have_posts()) : $query4->the_post(); 
   if( $feature_post_samll_icon == 0 && $feature_post_big_icon == 0 ){
     ?>
     <figure class="featured-image">
      <a href="<?php the_permalink(); ?>">
        <div class="featured-overlay">
           <span class="overlay-plus font-icon-read-more"></span>
       </div>
       <?php              
       if( has_post_thumbnail()){
           $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'featured-thumbnails-home', false ); 
           ?>
           <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>">
           <?php 
       } ?>
   </a>
</figure>
<?php } ?>  

<h2 class="<?php if($feature_post_samll_icon == 1 || $feature_post_big_icon == 1){ echo 'has-icon'; }?>">
 <a href="<?php the_permalink(); ?>">
     <?php 
     if($feature_post_samll_icon == 1 || $feature_post_big_icon == 1){ ?>
     
     <i class="fa <?php echo esc_attr(get_theme_mod('feature_post_four_icon')) ?>"></i>
     
     <?php } ?>
     <span><?php the_title(); ?></span>
 </a>
</h2>

<div class="featured-content">
  <p><?php echo zincylite_excerpt( get_the_content() , 65 ) ?></p>
  <?php if(!empty($feature_post_readmore)){?>
  <a href="<?php the_permalink(); ?>" class="read-more bttn"><?php echo esc_attr($feature_post_readmore); ?></a>
  <?php } ?>
</div>
<?php endwhile;
wp_reset_postdata(); ?>

</div>
<?php } 
}
?>
</section>
<div class="call-to-action">
    <?php do_action('zincylite_call_to_action');?>
</div>

<?php } //end of layout2 ?>

<?php if($feature_bar_option == 1) :?>
    <section id="bottom-section">
      <div class="zl-wrapper">
            <div class="text-box">
              <?php 
              if ( is_active_sidebar( 'textblock-1' ) ){
                dynamic_sidebar( 'textblock-1' );
            } 
            ?>  
        </div>
        
        <div class="thumbnail-gallery clearfix">
            <?php 
            $gallery_code = get_theme_mod('gallery_image_code');
            if ( is_active_sidebar( 'textblock-2' ) ){
                dynamic_sidebar( 'textblock-2' );
            }elseif(!empty($gallery_code)){
                ?>
                <h3><?php _e('Gallery','brovy')?></h3>
                <?php 
                echo do_shortcode($gallery_code );
            } ?>  
        </div>        
        
        <div class="testimonial-slider-wrap">
          <?php 
          if ( is_active_sidebar( 'textblock-3' ) ) {
            dynamic_sidebar( 'textblock-3' );
        }else{
            
          if(!empty($testimonial_category)) { ?>
          <h3><?php echo get_cat_name($testimonial_category); ?></h3>
          <?php
          $loop2 = new WP_Query( array(
             'cat' => $testimonial_category,
             'posts_per_page' => 5,
             )); ?>
             <div class="testimonial-wrap">
              <div class="testimonial-slider">
                  <?php while ($loop2->have_posts()) : $loop2->the_post(); ?>
                   <div class="testimonial-slide">
                    <div class="testimonial-list clearfix">
                     <div class="testimonial-excerpt">
                      <?php echo zincylite_excerpt( get_the_content() , 100 ) ?>
                  </div>
                  <div class="testimonial-inner">
                    <div class="testimonial-thumbnail">
                     <?php 
                     if(has_post_thumbnail()){
                        the_post_thumbnail('testimonials-home'); 
                    }else{ ?>
                    <img src="<?php echo get_template_directory_uri(); ?>/images/testimonial-dummy.jpg" alt="no-image"/>
                    <?php } ?>
                </div>
                <div class="testimoinal-client-name"><?php the_title(); ?></div>
            </div>
        </div>
    </div>
<?php endwhile; ?>
</div>
</div>
<a class="all-testimonial" href="<?php echo get_category_link( $testimonial_category ) ?>"><?php echo esc_html($view_all_text); ?>&nbsp;<i class="fa fa-long-arrow-right"></i></a>


<?php wp_reset_postdata(); 
}
}?>
</div>
<div class="twitter-block-wrap">
    <div class="twitter-block">
        <?php
        if ( is_active_sidebar( 'textblock-4' ) ) {
            dynamic_sidebar( 'textblock-4' );
        }
        ?>  
    </div>
</div>
</div>
</section>
<?php endif; ?>

<?php get_footer(); ?>